### Method

# EDataBook BookSqlite cursor_set_target_alphabetic_index

since: 3.12

#### Declaration [src]

    void
    e_book_sqlite_cursor_set_target_alphabetic_index (
      EBookSqlite* ebsql,
      EbSqlCursor* cursor,
      gint idx
    )

#### Description [src]

Sets the `cursor` position to an Alphabetic Index into the alphabet active in `ebsql`‘s locale.

After setting the target to an alphabetic index, for example the index for letter ‘E’, then further calls to `e_book_sqlite_cursor_step()` will return results starting with the letter ‘E’ (or results starting with the last result in ‘D’, if moving in a negative direction).

The passed index must be a valid index in the active locale, knowledge on the currently active alphabet index must be obtained using `ECollator` APIs.

Use `e_book_sqlite_ref_collator()` to obtain the active collator for `ebsql`.

Available since: 3.12

This method is not directly available to language bindings.

#### Parameters

`cursor`

  Type: `EbSqlCursor`

  The `EbSqlCursor` to modify.

  The data is owned by the caller of the method.

`idx`

  Type: `gint`

  The alphabetic index.